API referenceInterrupts
List pipeline interrupts
List all interrupts associated with a pipeline execution. Useful for monitoring workflow progress and pending user actions.
AuthorizationBearer <token>
JWT token for authentication
In: header
Path Parameters
pipelineId*string
Pipeline UUID
Format
uuidQuery Parameters
status?string
Filter by interrupt status
Value in
- "pending"
- "resolved"
- "cancelled"
limit?integer
Maximum number of interrupts to return
Range
1 <= value <= 100Default
50offset?integer
Number of interrupts to skip
Range
0 <= valueDefault
0Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/interrupts"{ "success": true, "message": "string", "error": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85", "type": "confirmation", "status": "pending", "nodeId": "string", "executionId": "string", "config": { "message": "Do you approve this action?", "confirm_label": "Approve", "cancel_label": "Reject" }, "allowCancel": true, "response": null, "response_time": "2019-08-24T14:15:22Z", "user_id": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}Get interrupt details GET
Retrieve details about a specific interrupt request. Interrupts are created when a workflow execution requires human input.
List session interrupts GET
List all interrupts associated with a playground session. Useful for displaying pending interrupts or reviewing interrupt history.